/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef STOKEN_FILES_FOLDER_ITEM_H
#define STOKEN_FILES_FOLDER_ITEM_H

#include "TreeItem.h"

struct CRD_UT10XX_t;
class FileFolderWidget;

class STokenFilesFolderItem: public TreeItem
{
	Q_OBJECT;
	
public:
	STokenFilesFolderItem(CRD_UT10XX_t *ut = 0, TreeItem *parent = 0);
	~STokenFilesFolderItem();
	
public slots:
	void refresh();
	
	void soLoginSlot();
	void userLoginSlot();
	void logoutSlot();
	
private slots:
	void addFileSlot(QString &srcFileName, QString &dstFileName);
	void deleteFileSlot(QString &fileName);
	void saveFileSlot(QString &srcFileName, QString &dstFileName);
	
signals:
	void addFileSig(QString &srcFileName, QString &dstFileName);
	void deleteFileSig(QString &fileName);
	void saveFileSig(QString &srcFileName, QString &dstFileName);
	
private:
	CRD_UT10XX_t *mUt;
	FileFolderWidget *mMainWidget;
};

#endif
